Skip to main content
GET
/
v2
/
agents
/
{agent_id}
/
schedules
List Agent Schedules
curl --request GET \
  --url https://api.duvo.ai/v2/agents/{agent_id}/schedules \
  --header 'Authorization: Bearer <token>'
{
  "schedules": [
    {
      "id": "<string>",
      "build_id": "<string>",
      "agent_id": "<string>",
      "user_id": "<string>",
      "enabled": true,
      "time": "<string>",
      "timezone": "<string>",
      "day": "<string>",
      "day_of_month": 123,
      "cron": "<string>",
      "source": "<string>",
      "task": "<string>",
      "recurring": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "user_name": "<string>",
      "user_email": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

Response

Default Response

schedules
object[]
required

Schedules the authenticated user owns on this agent